package org.fortiss.af3.platform.raspberry.generator.executable.interfaces;

import org.fortiss.af3.component.model.InputPort;
import org.fortiss.af3.expression.model.terms.IExpressionTerm;

/**
 * Interface for platform-specific executables, which also support reading of <code>null</code>
 * values.
 * 
 * @author zverlov
 * @author $Author: zverlov $
 * @version $Rev: 5274 $
 * @ConQAT.Rating GREEN Hash: C508B83AB8E3F78306F62115213C7B5B
 */
public interface IReadExecutableWithNoValSupport extends IReadExecutable {

	/**
	 * Returns the read access term to the platform-specific executable's <code>null</code> value
	 * guard.
	 */
	IExpressionTerm getNoValGuardAccessor(IExpressionTerm signal, IExpressionTerm buffer);

	/**
	 * @param p
	 * @return
	 */
	IExpressionTerm getNoValGuardAccessor(InputPort p);
}
